Package com.oracle.truffle.api.object

## Interface BooleanLocation

All Superinterfaces:
  `BaseLocation`, `TypedLocation`

All Known Implementing Classes:
  `BasicLocations.BooleanLocationDecorator`

    public interface BooleanLocation
    extends TypedLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBoolean​(DynamicObject store, boolean condition)`
`boolean` `getBoolean​(DynamicObject store, Shape shape)`
`java.lang.Class<java.lang.Boolean>` `getType()` The type of this location.
`void` `setBoolean​(DynamicObject store, boolean value)`
`void` `setBoolean​(DynamicObject store, boolean value, Shape shape)`
`void` `setBoolean​(DynamicObject store, boolean value, Shape oldShape, Shape newShape)`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getBoolean

    boolean getBoolean​(DynamicObject store,
                       Shape shape)

See Also:
  `BaseLocation.get(DynamicObject, Shape)`

#### getBoolean

    boolean getBoolean​(DynamicObject store,
                       boolean condition)

See Also:
  `BaseLocation.get(DynamicObject, boolean)`

#### setBoolean

    void setBoolean​(DynamicObject store,
                    boolean value)
             throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object)`

#### setBoolean

    void setBoolean​(DynamicObject store,
                    boolean value,
                    Shape shape)
             throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object, Shape)`

#### setBoolean

    void setBoolean​(DynamicObject store,
                    boolean value,
                    Shape oldShape,
                    Shape newShape)

See Also:
  `BaseLocation.set(DynamicObject, Object, Shape, Shape)`

#### getType

    java.lang.Class<java.lang.Boolean> getType()

Description copied from interface: `TypedLocation`
The type of this location.

Specified by:
  `getType` in interface `TypedLocation`